VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::FloppyTypes::Summary Class Reference

The `Floppy.Summary` class contains commonly used information about a virtual floppy drive. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetFloppy ()
| Identifier of the virtual floppy drive.
void | SetFloppy (string floppy)
| Identifier of the virtual floppy drive.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Floppy.Summary` class contains commonly used information about a virtual floppy drive.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::FloppyTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::FloppyTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::FloppyTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::FloppyTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::FloppyTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::FloppyTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::FloppyTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::vm::hardware::FloppyTypes::Summary::GetFloppy | ( |  | ) | `[inline]`

Identifier of the virtual floppy drive.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

override int vmware::vcenter::vm::hardware::FloppyTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::vm::hardware::FloppyTypes::Summary::SetFloppy | ( | string | floppy | ) | `[inline]`

Identifier of the virtual floppy drive.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

override string vmware::vcenter::vm::hardware::FloppyTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FloppyTypes.cs